summaryrefslogtreecommitdiffstats
path: root/src/grep/tests/spencer1
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
commit29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc (patch)
tree63ef546b10a81d461e5cf5ed9e98a68cd7dee1aa /src/grep/tests/spencer1
parentInitial commit. (diff)
downloadkbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.tar.xz
kbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.zip
Adding upstream version 1:0.1.9998svn3589+dfsg.upstream/1%0.1.9998svn3589+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/grep/tests/spencer1')
-rwxr-xr-xsrc/grep/tests/spencer121
1 files changed, 21 insertions, 0 deletions
diff --git a/src/grep/tests/spencer1 b/src/grep/tests/spencer1
new file mode 100755
index 0000000..56eaeda
--- /dev/null
+++ b/src/grep/tests/spencer1
@@ -0,0 +1,21 @@
+#! /bin/sh
+# Regression test for GNU grep.
+# Copyright (C) 1988 Henry Spencer.
+# Copyright (C) 2009-2021 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+# . . . and the following by Henry Spencer.
+
+${AWK-awk} -f $abs_top_srcdir/tests/spencer1.awk \
+ $abs_top_srcdir/tests/spencer1.tests > spencer1.script || fail=1
+
+. ./spencer1.script || fail=1
+
+Exit 1